package com.artfess.bpm.persistence.manager;

import java.util.List;

import com.artfess.base.manager.BaseManager;
import com.artfess.bpm.persistence.model.ActExecution;

public interface ActExecutionManager extends BaseManager<ActExecution>{
	
	
	void delByInstList(List<String> bpmInstList);

	List<String> getByParentsId(String id);

	void delActiveByInstList(List<String> includeBpmnIdList);
	
	void updateRejectExecution(String parentId, String execId, String actId);

	void removeByParentIds(List<String> removeParentIds);
}
